import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;
/**
 * The ant eats leafs and it is eat by the lemur.
 *
 * @author Hannes Riechert
 * @version 2008-10-15
 */
public class Ant extends Animal
{
    protected int numberOfLeafs = 0;
    private int leafs = 0;
    
    public Ant() {
        turnAnywhere();
    }
    
    /**
     * This method does very much.
     */
    public void act()
    {
        if(foundObject(Ant.class) && leafs > 0) {
            accrete();
            accrete();
            turnAnywhere();
            leafs = 0;
        }
        else if(foundObject(Leaf.class)) {
            eatFoundObject();
            numberOfLeafs++;
            leafs++;
        }
        else if(canGo()) {
            go();
        }
        turnAnywhere();
    }
    
    /**
     * The Ant accretes itself
     */
    public void accrete() {
        Ant a = new Ant();
        getWorld().addObject(a, getX(), getY());
    }
    
    /**
     * Returns the number of leafes
     */
    public int getNumberOfLeafs() {
        return numberOfLeafs;
    }
}